Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ActionConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ActionConfig

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class ActionConfig

extends Located
implements java.io.Serializable

Contains everything needed to configure and execute an action:

- methodName - the method name to execute on the action. If this is null, the Action will be cast to the Action Interface and the execute() method called
- clazz - the class name for the action
- params - the params to be set for this action just before execution
- results - the result map {String -> View class}
- resultParameters - params for results {String -> Map}
- typeConverter - the Ognl TypeConverter to use when getting/setting properties

Version:
  $Revision: 1066692 $
Author:
  Mike, Rainer Hermanns
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ActionConfig.Builder` The builder for this object.

Field Summary
`protected java.util.Set<java.lang.String>` | `allowedMethods`
`protected java.lang.String` | `className`
`protected java.util.List<ExceptionMappingConfig>` | `exceptionMappings`
`protected java.util.List<InterceptorMapping>` | `interceptors`
`protected java.lang.String` | `methodName`
`protected java.lang.String` | `name`
`protected java.lang.String` | `packageName`
`protected java.util.Map<java.lang.String,java.lang.String>` | `params`
`protected java.util.Map<java.lang.String,ResultConfig>` | `results`
`static java.lang.String` | `WILDCARD`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ActionConfig(ActionConfig orig)` Clones an ActionConfig, copying data into new maps and lists
`protected` | `ActionConfig(java.lang.String packageName, java.lang.String name, java.lang.String className)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.Set<java.lang.String>` | `getAllowedMethods()`
`java.lang.String` | `getClassName()`
`java.util.List<ExceptionMappingConfig>` | `getExceptionMappings()`
`java.util.List<InterceptorMapping>` | `getInterceptors()`
`java.lang.String` | `getMethodName()` Returns name of the action method
`java.lang.String` | `getName()`
`java.lang.String` | `getPackageName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
`java.util.Map<java.lang.String,ResultConfig>` | `getResults()`
`int` | `hashCode()`
`boolean` | `isAllowedMethod(java.lang.String method)`
`java.lang.String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WILDCARD

    public static final java.lang.String WILDCARD

See Also:
  Constant Field Values

### interceptors

    protected java.util.List<InterceptorMapping> interceptors

### params

    protected java.util.Map<java.lang.String,java.lang.String> params

### results

    protected java.util.Map<java.lang.String,ResultConfig> results

### exceptionMappings

    protected java.util.List<ExceptionMappingConfig> exceptionMappings

### className

    protected java.lang.String className

### methodName

    protected java.lang.String methodName

### packageName

    protected java.lang.String packageName

### name

    protected java.lang.String name

### allowedMethods

    protected java.util.Set<java.lang.String> allowedMethods

Constructor Detail

### ActionConfig

    protected ActionConfig(java.lang.String packageName,
                           java.lang.String name,
                           java.lang.String className)

### ActionConfig

    protected ActionConfig(ActionConfig orig)

  Clones an ActionConfig, copying data into new maps and lists

  Parameters:
    `orig` - The ActionConfig to clone

Method Detail

### getName

    public java.lang.String getName()

### getClassName

    public java.lang.String getClassName()

### getExceptionMappings

    public java.util.List<ExceptionMappingConfig> getExceptionMappings()

### getInterceptors

    public java.util.List<InterceptorMapping> getInterceptors()

### getAllowedMethods

    public java.util.Set<java.lang.String> getAllowedMethods()

### getMethodName

    public java.lang.String getMethodName()

  Returns name of the action method

  Returns:
    name of the method to execute

### getPackageName

    public java.lang.String getPackageName()

  Returns:
    Returns the packageName.

### getParams

    public java.util.Map<java.lang.String,java.lang.String> getParams()

### getResults

    public java.util.Map<java.lang.String,ResultConfig> getResults()

### isAllowedMethod

    public boolean isAllowedMethod(java.lang.String method)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.